from django.db import models


class SourceSiteModel(models.Model):
    slug = models.CharField(max_length=64)
    name = models.CharField(max_length=64)
    date_last_import = models.DateTimeField(auto_now=True)
    date_created = models.DateTimeField(auto_now_add=True)

    class Meta:
        verbose_name = "Source Site"
        verbose_name_plural = "Source Sites"

    def __str__(self):
        if self.name:
            return str(self.name)
        else:
            return str(self.slug)


class CategoryModel(models.Model):
    slug = models.CharField(max_length=64)
    name = models.CharField(max_length=64)
    date_modified = models.DateTimeField(auto_now=True)
    date_created = models.DateTimeField(auto_now_add=True)

    class Meta:
        verbose_name = "Category"
        verbose_name_plural = "Categories"

    def __str__(self):
        if len(str(self.name)) > 0:
            return str(self.name)
        else:
            return str(self.slug)


class DescriptionModel(models.Model):
    hash = models.CharField(max_length=128)
    content = models.TextField()
    date_modified = models.DateTimeField(auto_now=True, editable=True)
    date_created = models.DateTimeField(auto_now_add=True, editable=True)

    class Meta:
        verbose_name = "Description"
        verbose_name_plural = "Descriptions"

    def __str__(self):
        return str(self.hash)
